imagecolorexactalpha
imagecolorresolve
GD and Image Functions
PHP Manual

# imagecolormatch

(PHP 4 >= 4.3.0, PHP 5, PHP 7)

imagecolormatch — Makes the colors of the palette version of an image more closely match the true color version

### Description

bool imagecolormatch ( resource `$image1` , resource `$image2` )

Makes the colors of the palette version of an image more closely match the true color version.

### Parameters

`image1`

  A truecolor image link resource.

`image2`

  A palette image link resource pointing to an image that has the same size as `image1`.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 imagecolormatch() example

`<?php
// Setup the true color and palette images
$im1 = imagecreatefrompng('./gdlogo.png');
$im2 = imagecreate(imagesx($im1), imagesy($im1));
// Add some colors to $im2
$colors = Array();
$colors[] = imagecolorallocate($im2, 255, 36, 74);
$colors[] = imagecolorallocate($im2, 40, 0, 240);
$colors[] = imagecolorallocate($im2, 82, 100, 255);
$colors[] = imagecolorallocate($im2, 84, 63, 44);
// Match these colors with the true color image
imagecolormatch($im1, $im2);
// Free from memory
imagedestroy($im1);
imagedestroy($im2);
?>`

### Notes

> Note: This function requires GD 2.0.1 or later (2.0.28 or later is recommended).

### See Also

- imagecreatetruecolor() - Create a new true color image

imagecolorexactalpha
imagecolorresolve
GD and Image Functions
PHP Manual